package net.gostartups.whylearnandroid

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.google.android.material.snackbar.Snackbar
import net.gostartups.whylearnandroid.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {

    lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityMainBinding.inflate(layoutInflater)

        setContentView(binding.root)

        binding.firstButton.setOnClickListener {
            val text = binding.firstEditText.text.toString()
            var number = 0

            try {
                number = text.toInt()
            } catch (e: Exception) {
                number = 1
                Snackbar.make(binding.root, "Невалидни данни!", Snackbar.LENGTH_LONG).show()
            }

            val lastText = binding.firstTextView.text.toString()
            val lastNumber = lastText.toInt()

            val sum = number + lastNumber
            binding.firstTextView.text = sum.toString()
        }
    }
}